%define name      apache_php3
%define apachever 1.3b6
%define phpver    3.0RC4
%define version   %{apachever}
%define release   1

Summary:   HTTP server daemon to provide WWW services
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   ftp://ftp.apache.org/apache/dist/apache_%{apachever}.tar.gz
Source1:   ftp://no.php.net/pub/free/php/dist/php-%{phpver}.tar.gz
Source2:   poweredby.gif
Source3:   index.html
Source4:   httpd.init
Source5:   apache.log
Source6:   php3.ini
Patch0:    apache_1.3b6-rh.patch
Patch1:    php-3.0RC4-configure.patch
URL:       http://www.apache.org
Copyright: Freely distributable & usable
Group:     Networking/Daemons
Requires:  /etc/mime.types
Prereq:    /sbin/chkconfig
Obsoletes: apache
BuildRoot: /tmp/%{name}-%{version}-root

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more.

This package includes the PHP3 module which have been compiled against
the MySQL and PostgreSQL libraries.

%prep
%setup -n apache_%{apachever}

# Unpack the PHP3 source
tar xvzf $RPM_SOURCE_DIR/php-%{phpver}.tar.gz

%patch0 -p1
%patch1 -p0

%build
# Compile the PHP source
#
cd ./php-%{phpver}
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
   --with-system-regex \
   --with-apache=.. \
   --with-mysql=/usr \
   --with-pgsql=/usr \
   --with-config-file-path=/etc/httpd/conf \
   --disable-debug \
   --with-exec-dir=/home/httpd/cgi-bin \
   --enable-track-vars \
   --enable-magic-quotes \
   --enable-bcmath
make install

cd ..

# Compile the Apache source
#
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
   --activate-module=src/modules/php3/libphp3.a \
   --enable-module=all \
   --prefix=/usr \
   --localstatedir=/var \
   --datadir=/home/httpd \
   --sysconfdir=/etc/httpd/conf \
   --libexecdir=/usr/libexec/httpd \
   --includedir/usr/include/apache
make

%install
rm -rf $RPM_BUILD_ROOT

make \
   prefix=$RPM_BUILD_ROOT/usr \
   bindir=$RPM_BUILD_ROOT/usr/bin \
   sbindir=$RPM_BUILD_ROOT/usr/sbin \
   libexecdir=$RPM_BUILD_ROOT/usr/libexec/httpd \
   mandir=$RPM_BUILD_ROOT/usr/man \
   sysconfdir=$RPM_BUILD_ROOT/etc/httpd/conf \
   datadir=$RPM_BUILD_ROOT/home/httpd \
   localstatedir=$RPM_BUILD_ROOT/var \
   includedir=$RPM_BUILD_ROOT/usr/include/apache \
   install

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -m755 $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
install -m644 $RPM_SOURCE_DIR/index.html $RPM_BUILD_ROOT/home/httpd/html
install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_BUILD_ROOT/home/httpd/html
install -m755 $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
install -m644 $RPM_SOURCE_DIR/php3.ini $RPM_BUILD_ROOT/etc/httpd/conf
install -m755 src/support/phf_abuse_log.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -m644 php-%{phpver}/extra/icons/*.gif $RPM_BUILD_ROOT/home/httpd/icons

chmod 755 $RPM_BUILD_ROOT/home/httpd/cgi-bin/*

%post
/sbin/chkconfig --add httpd

%preun
if [ -f /var/lock/subsys/httpd ]; then
   /etc/rc.d/init.d/httpd stop
fi

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc		ABOUT_APACHE CHANGES KEYS LICENSE README
%attr(-,root,root) %dir		/etc/httpd
%attr(-,root,root) %dir		/etc/httpd/conf
%attr(-,root,root) %config	/etc/httpd/conf/*.conf
%attr(-,root,root) %config	/etc/httpd/conf/magic
%attr(-,root,root) %config	/etc/rc.d/init.d/*
%attr(-,root,root) %config	/etc/logrotate.d/*
%attr(-,root,root) %dir		/home/httpd
%attr(-,root,root)		/home/httpd/cgi-bin
%attr(-,root,root) %dir		/home/httpd/html
%attr(-,root,root) %config	/home/httpd/html/index.html
%attr(-,root,root)		/home/httpd/html/manual
%attr(-,root,root)		/home/httpd/html/*.gif
%attr(-,root,root)		/home/httpd/icons
%attr(-,root,root)		/usr/bin/*
%attr(-,root,root)		/usr/include/apache/*
%attr(-,root,root) %dir		/usr/libexec/httpd
%attr(-,root,root)		/usr/man/man1/*
%attr(-,root,root)		/usr/man/man8/*
%attr(-,root,root)		/usr/sbin/*
%attr(-,root,root) %dir		/var/log/httpd
%attr(-,root,root) %dir		/var/proxy

%changelog
* Sat May 02 1998 Arne Coucheron <arneco@online.no>
- first try of binding Apache 1.3 and PHP3 together
